#ifndef _RACING_WHEEL_TELEOP_WHEEL_DISPATCH
#define _RACING_WHEEL_TELEOP_WHEEL_DISPATCH
namespace racing_wheel_teleop
{
    // Logitech Wheel mappings
    enum {
        // Main steering wheel axis [-32,767 to 32,767]
        AXIS_STEER = 0,
        // Clutch pedal. [-32,767 (fully pressed) to 32,767 (not pressed)]
        AXIS_CLUTCH = 1,
        // Throttle pedal. [-32,767 (fully pressed) to 32,767 (not pressed)]
        // TODO: Is this correct? Throttle was broken...
        AXIS_THROTTLE = 2,
        // Brake pedal. [-32,767 (fully pressed) to 32,767 (not pressed)]
        AXIS_BRAKE = 3,
        // DPAD in the left and right directions [-32,767 = left, 0 = neither, 32,767 = right]
        AXIS_DPAD_HORIZONTAL = 4,
        // DPAD in the up and down directions [-32,767 = up, 0 = neither, 32,767 = down]
        AXIS_DPAD_VERTICAL = 5,

        // X Button [true/false]
        BTN_X = 0,
        // □ Button [true/false]
        BTN_SQUARE = 1,
        // ○ Button [true/false]
        BTN_CIRCLE = 2,
        // △ Button [true/false]
        BTN_TRIANGLE = 3,
        // Right Shoulder Pad [true/false]
        BTN_RIGHT_SHOULDER = 4,
        // Left Shoulder Pad [true/false]
        BTN_LEFT_SHOULDER = 5,
        // R2 Button [true/false]
        BTN_R2 = 6,
        // L2 Button [true/false]
        BTN_L2 = 7,
        // Share Button [true/false]
        BTN_SHARE = 8,
        // Option Button [true/false]
        BTN_OPTION = 9,
        // R3 Button [true/false]
        BTN_R3 = 10,
        // L3 Button [true/false]
        BTN_L3 = 11,

        // + Button [true/false]
        BTN_PLUS = 19,
        // - Button [true/false]
        BTN_MINUS = 20,

        // TODO: Related to turning ⤶ wheel right?
        BTN_21 = 21,
        // TODO: Related to turning ⤶ wheel left?
        BTN_22 = 22,
        // ⤶ Button [true/false]
        BTN_ARROW = 23,
        // PS4 Button [true/false]
        BTN_PS4 = 24,
    };
}
#endif //_RACING_WHEEL_TELEOP_WHEEL_DISPATCH